/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.example.warehouse.manager.util;

import javax.xml.namespace.QName;


public final class Constants {
    
    public static final String MESSAGE_TNS = "http://mycompany.com/business/docs";
    public static final QName ZIP_CODE = new QName(MESSAGE_TNS, "ZipCode");
    public static final QName ORDER_NUMBER = new QName(MESSAGE_TNS, "OrderNumber");
    public static final QName ORDER_ITEMS = new QName(MESSAGE_TNS, "Items");
    public static final String APPLICATION_TNS = "http://software.vendor.com/1.0";
    public static final String PARTNER_TNS = "http://com.mycompany/eoa/om/1.0";
    public static final QName OUT_OF_STOCK_FAULT = new QName(APPLICATION_TNS, "OutOfStockFault");
    public static final QName SCHEDULE_ORDER = new QName(APPLICATION_TNS, "scheduleOrder");
    public static final QName ORDER_MANAGER = new QName(PARTNER_TNS, "OrderManagerEngine");
    public static final String PARTNER_ROLE = "http://mycompany.com/om/order/processor";
    public static final QName PARTNER_OPERATION = new QName(PARTNER_TNS, "completeOrder");
    public static final long THREE_DAYS_IN_MILLISECONDS = (3 * 1000 * 60 * 60 * 24);
    
}
