/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
package org.bluestemsoftware.open.eoa.example.warehouse.manager.util;

import org.bluestemsoftware.specification.eoa.component.intrface.rt.SystemFault;

/**
 * Models a system related error, i.e. an unexpected error, which
 * when thrown by a service operation will be converted by alakai
 * to a {@link SystemFault} and returned to caller.
 */

public class WarehouseError extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public WarehouseError() {
    }

    public WarehouseError(String message) {
        super(message);
    }

    public WarehouseError(Throwable cause) {
        super(cause);
    }

    public WarehouseError(String message, Throwable cause) {
        super(message, cause);
    }

}
